QGIS Application - Bug report #334
Crash printing raster layers
2006-10-05 05:04 AM - anonymous -

Status: Closed

Priority: Low

Assignee: Redmine Admin

Category:

Affected QGIS version: Regression?: No
Operating System: Debian Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 10393
Description

.8 Preview 2 crashes when | try to print. Both the Map Composer and the QGIS main window disappear completely.

Both generating an eps file and printing to a printer cause it to crash. Creating an SVG or PNG works fine.

It appears to be a problem only when there are multiple raster layers.

History

#1 - 2006-10-18 12:10 AM - Gavin Macaulay -

works for me. can you provide a debugging backtrace?

#2 - 2006-10-18 12:33 PM - Redmine Admin

How do | do get a backtrace?

I had two .tif image layers, if that helps.

#3 - 2006-11-09 06:14 AM - Redmine Admin

To get backtrace you need to unset core file limit in shell:
ulimit -c 100000

run qgis and get crash and then run
gdb -c <your_core_file> /path/to/qgis/executable

and type 'bt' in the debuger.

Yes it would be useful if you could place the files on web.

Radim

#4 - 2006-11-11 02:12 PM - Redmine Admin

| did some more testing, and it can happen with only 1 layer. The layer is a Digital Raster Graphic from [http://www.granit.sr.unh.edu/]. It is .tif, ~20Mb.

OTF projection is off, and it happens with two different projections of the layer.
It doesn't happen if the layer is disabled (not visible).

Other raster layers (.jpg) do not have this problem.

I'll try to get a backtrace soon.
http://www.granit.sr.unh.edu/

#5 - 2006-11-19 02:18 PM - Redmine Admin

Here's a backtrace for this bug:
#0 0x054¢1701in 22 ()
#3905 0xb76b49c2 in QPaintDevice::~QPaintDevice () from /usr/lib/libQtGui.so0.4
#3906 0xb76b4715 in QPaintDevice::~QPaintDevice () from /usr/lib/libQtGui.so.4
#3907 0xb76b6988 in QPaintDevice::~QPaintDevice () from /usr/lib/libQtGui.so.4
#3908 0xb76b08ea in QPaintDevice::~QPaintDevice () from /usr/lib/libQtGui.so.4
#3909 0xb766ecdd in QPainter::drawlmage () from /usr/lib/libQtGui.so0.4
#3910 Oxb7ec7559 in [[QgsRasterLayer]]::drawPalettedMultiBandColor ()

from /ustr/lib/libggis_raster.so0.0
#3911 0xb7ed2157 in [[QgsRasterLayer]]::draw () from /usr/lib/libqgis_raster.so.0
#3912 0xb7eddfc9 in [[QgsRasterLayer]]::draw () from /usr/lib/libqgis_raster.so0.0

#3913 0xb7e57585 in [[QgsComposerMap]]::draw () from /usr/lib/libqgis_composer.so0.0
#10 0xb7e5883f in [[QgsComposerMap]]::draw () from /ust/lib/libqgis_composer.so0.0

#3914 0xb7bf6662 in Q3CanvasltemList::drawUnique ()
from /usr/lib/libQt3Support.so.4

#3915 0xb7bf95fb in Q3Canvas::drawCanvasArea () from /ust/lib/libQt3Support.so.4

#3916 0xb7bf96f8 in Q3Canvas::drawArea () from /usr/lib/libQt3Support.so.4
#3917 0xb7e3e679 in [[QgsComposer]]::on_mActionPrint_activated ()
from /ustr/lib/libqgis_composer.so.0
#3918 0xb7e7e08d in [[QgsComposer]]::qt_metacall ()
from /ustr/lib/libggis_composer.so0.0
#3919 0xb7da62bd in QMetaObject::activate () from /usr/lib/libQtCore.so0.4
#3920 0xb7da64e9 in QMetaObject::activate () from /usr/lib/libQtCore.so0.4
#3921 0xb75ad011 in QAction::activated () from /usr/lib/libQtGui.so.4
---Type <return> to continue, or q <return> to quit---
#3922 0xb75ada20 in QAction::activate () from /usr/lib/libQtGui.so.4
#3923 0xb784b75a in QToolButton::nextCheckState () from /usr/lib/libQtGui.so.4
#3924 0xb77b3f89 in QButtonGroup::id () from /usr/lib/libQtGui.so.4
#3925 0xb77b41bd in QAbstractButton::mouseReleaseEvent ()
from /usr/lib/libQtGui.so.4
#3926 0xb75f0eec in QWidget::event () from /usr/lib/libQtGui.so.4
#3927 0xb77b45e6 in QAbstractButton::event () from /usr/lib/libQtGui.so.4
#3928 0xb784b504 in QToolButton::event () from /usr/lib/libQtGui.so.4
#3929 0xb75b17c5 in QApplicationPrivate::notify_helper ()
from /usr/lib/libQtGui.so0.4
#3930 0xb75b2ab5a in QApplication::notify () from /usr/lib/libQtGui.so.4
#3931 0xb7603e7d in QApplication::x11ProcessEvent () from /usr/lib/libQtGui.so0.4
#3932 0xb7603568 in QApplication::x11ProcessEvent () from /usr/lib/libQtGui.so0.4
#3933 0xb761484e in non-virtual thunk to QDesktopWidget::~QDesktopWidget() ()
from /usr/lib/libQtGui.so0.4
#3934 0xb7d9868a in QEventLoop::processEvents () from /usr/lib/libQtCore.so0.4
#3935 0xb7d9889d in QEventLoop::exec () from /usr/lib/libQtCore.so0.4
#3936 0xb7d9afe7 in QCoreApplication::exec () from /usr/lib/libQtCore.so0.4
#3937 0xb75b1565 in QApplication::exec () from /ust/lib/libQtGui.so.4
#3938 0x0804c488 in main ()

Here was another | got the first time.

#0 0x082b7591 in ?? ()

#3905 0x00000061 in ?7? ()

#3906 0xb79b6e2d in typeinfo name for QWidgetPrivate ()
from /usr/lib/libQtGui.so0.4
#3907 0x00000010in ?? ()
#3908 0xb6a49320 in +malloc_initialize_hook () from /lib/tls/i686/cmov/libc.s0.6
#3909 0x08745688 in ?? ()
#3910 0x00000000 in ?? ()

#6 - 2006-11-19 02:19 PM - Redmine Admin
Let's try that again. | forgot to apply the preformatting.

#0 0x054¢1701 in 27 ()
#3905 0xb76b49c2 in QPaintDevice::~QPaintDevice () from /ust/lib/libQtGui.so.4
#3906 0xb76b4715 in QPaintDevice::~QPaintDevice () from /usr/lib/libQtGui.so.4
#3907 0xb76b6988 in QPaintDevice::~QPaintDevice () from /usr/lib/libQtGui.so.4
#3908 0xb76b08ea in QPaintDevice::~QPaintDevice () from /usr/lib/libQtGui.so0.4
#3909 0xb766ecdd in QPainter::drawlmage () from /usr/lib/libQtGui.so.4
#3910 Oxb7ec7559 in [[QgsRasterLayer]]::drawPalettedMultiBandColor ()
from /ustr/lib/libqgis_raster.so.0
#3911 0xb7ed2157 in [[QgsRasterLayer]]::draw () from /usr/lib/libqgis_raster.so0.0
#3912 0xb7eddfc9 in [[QgsRasterLayer]]::draw () from /usr/lib/libqgis_raster.so0.0
#3913 0xb7e57585 in [[QgsComposerMap]]::draw () from /usr/lib/libqgis_composer.so0.0
#10 0xb7e5883f in [[QgsComposerMap]]::draw () from /usr/lib/libqgis_composer.so.0
#3914 0xb7bf6662 in Q3CanvasltemList::drawUnique ()
from /usr/lib/libQt3Support.so.4
#3915 0xb7bf95fb in Q3Canvas::drawCanvasArea () from /usr/lib/libQt3Support.so.4
#3916 0xb7bf96f8 in Q3Canvas::drawArea () from /usr/lib/libQt3Support.so.4
#3917 0xb7e3e679 in [[QgsComposer]]::on_mActionPrint_activated ()
from /usr/lib/libggis_composer.so.0
#3918 0xb7e7e08d in [[QgsComposer]]::qt_metacall ()
from /usr/lib/libggis_composer.so.0
#3919 Oxb7da62bd in QMetaObject::activate () from /usr/lib/libQtCore.so0.4
#3920 0xb7da64e9 in QMetaObject::activate () from /usr/lib/libQtCore.so0.4
#3921 0xb75ad011 in QAction::activated () from /usr/lib/libQtGui.so.4
---Type <return> to continue, or q <return> to quit---
#3922 0xb75ada20 in QAction::activate () from /usr/lib/libQtGui.so.4
#3923 0xb784b75a in QToolButton::nextCheckState () from /usr/lib/libQtGui.so.4
#3924 0xb77b3f89 in QButtonGroup::id () from /usr/lib/libQtGui.so.4
#3925 0xb77b41bd in QAbstractButton::mouseReleaseEvent ()
from /usr/lib/libQtGui.so.4
#3926 0xb75f0eec in QWidget::event () from /usr/lib/libQtGui.s0.4
#3927 0xb77b45e6 in QAbstractButton::event () from /usr/lib/libQtGui.so.4
#3928 0xb784b504 in QToolButton::event () from /usr/lib/libQtGui.so.4
#3929 0xb75b17c5 in QApplicationPrivate::notify_helper ()
from /usr/lib/libQtGui.so0.4
#3930 0xb75b2ab5a in QApplication::notify () from /usr/lib/libQtGui.so.4
#3931 0xb7603e7d in QApplication::x11ProcessEvent () from /usr/lib/libQtGui.so0.4
#3932 0xb7603568 in QApplication::x11ProcessEvent () from /usr/lib/libQtGui.so.4
#3933 0xb761484e in non-virtual thunk to QDesktopWidget::~QDesktopWidget() ()
from /usr/lib/libQtGui.so.4
#3934 0xb7d9868a in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4
#3935 0xb7d9889d in QEventLoop::exec () from /usr/lib/libQtCore.so0.4
#3936 0xb7d9afe7 in QCoreApplication::exec () from /usr/lib/libQtCore.s0.4
#3937 0xb75b1565 in QApplication::exec () from /usr/lib/libQtGui.so.4
#3938 0x0804c488 in main ()

#7 - 2006-11-19 02:35 PM - Martin Dobias

Thanks for the backtrace. Please could you also specify exactly which raster layer is crashing QGIS and with what projections?

#8 - 2006-11-28 05:45 AM - Redmine Admin
printcrash.qgs is just a QGIS project file, can you also post
the layer data (drg181.tif and drg181.tfw) or put them somehre

on the Web?

Radim

#9 - 2006-12-05 11:38 AM - Redmine Admin

It is probably this file?:
http://www.granit.sr.unh.edu/cgi-bin/load_file?PATH=/data/database/d-webdata/drg/drg181/drg181.html

#10 - 2006-12-05 11:53 AM - Redmine Admin

Yes, that's the file. The GRANIT site doesn't seem to have a direct link to the file itself, so you probably have go here: |
http://www.granit.sr.unh.edu/cgi-bin/load_file?PATH=/data/database/index.html], search for quad 181, and then download the DRG (If you haven't

already). Unfortunately, it's too big to for me to put online easily.

#11 - 2006-12-05 11:57 AM - Redmine Admin

Works for me with drg181.tif + drg181.tfw on Linux with QGIS revision 6189
and Qt 4.2.2. Please test again on Windows with the next QGIS build.

Radim

#12 - 2006-12-15 02:29 PM - Gavin Macaulay -
- Status changed from Open to Closed
- Resolution set to fixed

This ticket was for Linux, and the offending file has loaded fine since commit:a7c00ed9 (SVN r6190) with Qt 4.2.2 in linux versions of qgis, so I'd call it
fixed.

#13 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
http://www.granit.sr.unh.edu/cgi-bin/load_file?PATH=/data/database/d-webdata/drg/drg181/drg181.html
http://www.granit.sr.unh.edu/cgi-bin/load_file?PATH=/data/database/index.html

Files

printcrash.qgs 3.68 KB 2006-11-19 Redmine Admin
